/*
 * @Author: Devin
 * @Date: 2022-11-28 14:28:28
 * @LastEditors: Devin
 * @LastEditTime: 2022-11-28 19:02:53
 * @Description: 登录
 */
import { AIotRequest } from './index';

export const loginApi = {
  CAPTCHA_INIT: '/iotsec/common/captcha/init',
  CAPTCHA: '/common/captcha/draw',
  FIND_MENU_BY_ID: '/businessMenu/findBusinessMenuById',
  FIND_MENU_FILE: '/dmp/file/findBusinessFileById',
  LOGIN: '/iotsec/sec/login',
  GET_USER_INFO: '/iotsec/user/getUserByLogin',
  USER_LOGOUT: '/iotsec/usermng/logout' // 退出登录
};

export function login(data: any) {
  return AIotRequest.post({
    url: `${loginApi.LOGIN}?username=${data.userName}&password=${data.password}&code=${data.identifyingCode}&captchaId=${data.captchaId}&saveLogin=false`
  });
}

export function changeImg() {
  return AIotRequest.get({
    url: loginApi.CAPTCHA_INIT
  });
}

// 获取系统配置标题信息
export function getSystemTitleConfig(data: any) {
  return AIotRequest.post({
    url: loginApi.FIND_MENU_BY_ID,
    data
  });
}

export function getSystemIconConfig(data: any) {
  return AIotRequest.post({
    url: loginApi.FIND_MENU_FILE,
    data
  });
}

export function getUserInfo() {
  return AIotRequest.get({
    url: loginApi.GET_USER_INFO
  });
}
export function userLogout() {
  return AIotRequest.get({
    url: loginApi.USER_LOGOUT
  });
}
